com.h3c.sdn.common

## Enum PathMetric

- java.lang.Object
- - java.lang.Enum<PathMetric>
  - - com.h3c.sdn.common.PathMetric

- All Implemented Interfaces:
    Serializable, Comparable<PathMetric>

  Deprecated.

      @Deprecated
      public enum PathMetric
      extends Enum<PathMetric>

  Enumeration for the type of metric used in computing shortest paths.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HOPS` Deprecated.
    `SPEED` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PathMetric` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static PathMetric[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOPS

          public static final PathMetric HOPS

      Deprecated.

    - #### SPEED

          public static final PathMetric SPEED

      Deprecated.

  - ### Method Detail

    - #### values

          public static PathMetric[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PathMetric c : PathMetric.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PathMetric valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.